##
##  perl-parse.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_config_inifiles           2.36
%define       V_config_general            2.15
%define       V_config_simple             3.9
%define       V_parse_recdescent          1.80
%define       V_parse_recdescent_faq      2.36
%define       V_parse_recdescent_deparse  1.00
%define       V_parse_recdescent_consumer 1.03
%define       V_parse_yapp                1.05
%define       V_parse_earley              0.15
%define       V_parse_lex                 2.15

#   package information
Name:         perl-parse
Summary:      Perl Modules for use with parsing algorythms
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20021228
Release:      20021228

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Config/Config-IniFiles-%{V_config_inifiles}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Config/Config-General-%{V_config_general}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Config/Config-Simple-%{V_config_simple}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-%{V_parse_recdescent}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-FAQ-%{V_parse_recdescent_faq}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-Deparse-%{V_parse_recdescent_deparse}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-Consumer-%{V_parse_recdescent_consumer}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/Parse/Parse-Yapp-%{V_parse_yapp}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Parse/Parse-Earley-%{V_parse_earley}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/Parse/ParseLex-%{V_parse_lex}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl >= 5.8.0
PreReq:       OpenPKG, openpkg >= 20020206, perl >= 5.8.0
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for use with parsing algorythms:
    - Config::IniFiles (%{V_config_inifiles})
    - Config::General (%{V_config_general})
    - Parse::RecDescent (%{V_parse_recdescent})
    - Parse::RecDescent::FAQ (%{V_parse_recdescent_faq})
    - Parse::RecDescent::Deparse (%{V_parse_recdescent_deparse})
    - Parse::RecDescent::Consumer (%{V_parse_recdescent_consumer})
    - Parse::Yapp (%{V_parse_yapp})
    - Parse::Nibbler (%{V_parse_nibbler})
    - Parse::Earley (%{V_parse_earley})
    - ParseLex (%{V_parse_lex})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup8 -q -T -D -a 8
    %setup9 -q -T -D -a 9

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE9}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

